Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.indentation
Class LineSet

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.LineSet

public class LineSet
extends java.lang.Object

Represents a set of lines.

Author:
  jrichard

Constructor Summary
`LineSet()`

Method Summary
`void` | `addLineAndCol(java.lang.Integer aLineNum, int aCol)` Add a line to this set of lines.
`int` | `firstLine()` Get the line number of the first line.
`int` | `firstLineCol()` Get the starting column for the first line.
`java.lang.Integer` | `getStartColumn(java.lang.Integer aLineNum)` Get the starting column for a given line number.
`boolean` | `isEmpty()` Determines if this set of lines is empty.
`int` | `lastLine()` Get the line number of the last line.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LineSet

    public LineSet()

Method Detail

### getStartColumn

    public java.lang.Integer getStartColumn(java.lang.Integer aLineNum)

  Get the starting column for a given line number.

  Parameters:
    `aLineNum` - the specified line number
  Returns:
    the starting column for the given line number

### firstLineCol

    public int firstLineCol()

  Get the starting column for the first line.

  Returns:
    the starting column for the first line.

### firstLine

    public int firstLine()

  Get the line number of the first line.

  Returns:
    the line number of the first line

### lastLine

    public int lastLine()

  Get the line number of the last line.

  Returns:
    the line number of the last line

### addLineAndCol

    public void addLineAndCol(java.lang.Integer aLineNum,
                              int aCol)

  Add a line to this set of lines.

  Parameters:
    `aLineNum` - the line to add
    `aCol` - the starting column of the new line

### isEmpty

    public boolean isEmpty()

  Determines if this set of lines is empty.

  Returns:
    true if it is empty, false otherwise

### toString

    public java.lang.String toString()

  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD